
Summary: K Desktop Environment 4 - Libraries
Version: 4.0.5
Release: 5%{?dist}

%if 0%{?fedora} > 8
Name: kdelibs
Epoch: 6
Obsoletes: kdelibs4 < %{version}-%{release}
Provides:  kdelibs4 = %{version}-%{release}
%else
Name: kdelibs4
%endif

# LGPLv2: everything, except (see below)
# BSD: kdoctools/
# GFDL: kdoctools/customization ?
License: LGPLv2
URL:     http://www.kde.org/
Group:   System Environment/Libraries
Source0: ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdelibs-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%ifarch noarch
%define apidocs 1
%else
%define rest 1
%endif

BuildRequires: kde-filesystem >= 4
Requires: dbus-x11
Requires: hicolor-icon-theme
# kdebase-runtime not *strictly* required here, but how better to pull
# it in?  comps only?
#Requires: kdebase-runtime
Requires: kde-filesystem >= 4
Requires: kde-settings
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: shared-mime-info
%if "%{name}" == "kdelibs"
Requires: kdelibs-common
%endif
%if 0%{?fedora} >= 9
Requires: hunspell
%endif

Source1: kde4.sh
Source2: kde4.csh

# make -devel packages parallel-installable
Patch0: kdelibs-4.0.4-parallel_devel.patch
# fix kde#149705
Patch2: kdelibs-3.95.0-kde149705.patch
# Hunspell support for K3Spell
# http://fedoraproject.org/wiki/Releases/FeatureDictionary
# http://bugs.kde.org/show_bug.cgi?id=154561
Patch5: kdelibs-4.0.0-k3spell-hunspell.patch
# openssl's SHLIB_VERSION_NUMBER macro can't be used/trusted
Patch6: kdelibs-4.0.0-openssl.patch
# install all .css files and Doxyfile.global in kdelibs-common to build
# kdepimlibs-apidocs against
Patch8: kdelibs-4.0.2-install-all-css.patch
# add Fedora/V-R to KHTML UA string
Patch9: kdelibs-4.0.2-branding.patch
# don't cache kdeglobals paths because they change after profile directories
# are loaded from kde4rc
Patch10: kdelibs-4.0.2-no-cache-kdeglobals-paths.patch
# workaround for policykit
Patch11: kdelibs-4.0.2-policykit-workaround.patch
Patch12: kdelibs-4.x-xdg-menu.patch
# Fedora build type - adds -DNDEBUG, removes -O2 -g (already in RPM_OPT_FLAGS)
Patch13: kdelibs-4.0.5-fedora-buildtype.patch
# patch KStandardDirs to use %{_libexecdir}/kde4 instead of %{_libdir}/kde4/libexec
Patch14: kdelibs-4.0.3-libexecdir.patch
# fix proxy support (#443931, kde#155707)
# patch by Sergey Saukh: http://bugs.kde.org/show_bug.cgi?id=155707#c46
Patch15: kdelibs-4.0.4-proxy.patch
# forward port kstandarddirs hack to search /etc/kde
Patch18: kdelibs-4.0.4-kstandarddirs.patch
# kdebug:162956: Kopete Press File Transfer crash
Patch19: kdelibs-4.0.5-kprotocolcombo.patch
# kdebug:162285: click on add network folder crashes dolphin
Patch20: kdelibs-4.0.5-kio-subjob.patch
# kdebug:163050: Strigi indexing of large/unbounded files causes KFileMetaInfo to freeze
Patch21: kdelibs-4.0.5-strigi-metainfo.patch
# kdebug:127793: Renaming in FTP overwrites existing files without confirmation
Patch22: kdelibs-4.0.5-kio-ftp-overwrite.patch
# kdebug:164391: Crash when doing [""]= on CSSStyleDeclaration
Patch23: kdelibs-4.0.5-khtml-ecma-empty-array-crash.patch

## upstream patches
Patch100: kdelibs-4.0.4-khtml-stylesheet.patch
Patch101: kdelibs-4.0.5-iconload.patch

BuildRequires: qt4-devel >= 4.3.0
Requires: qt4 >= %{_qt4_version} 
Requires: xdg-utils
Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils

BuildRequires: alsa-lib-devel
%if 0%{?fedora} < 9
# we don't want a hard dependency on aspell on F9+, use enchant only
BuildRequires: aspell-devel
%endif
BuildRequires: avahi-devel
BuildRequires: bzip2-devel
BuildRequires: cmake
BuildRequires: cups-devel cups
BuildRequires: enchant-devel
BuildRequires: gamin-devel
BuildRequires: gettext-devel
BuildRequires: giflib-devel
# busted at least on x86_64
#BuildRequires: hspell-devel
BuildRequires: jasper-devel
BuildRequires: krb5-devel
BuildRequires: libacl-devel libattr-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libxslt-devel libxml2-devel
BuildRequires: OpenEXR-devel
BuildRequires: openssl-devel
BuildRequires: pcre-devel
BuildRequires: shared-mime-info
BuildRequires: soprano-devel >= 1.99
BuildRequires: strigi-devel >= 0.5.7
BuildRequires: zlib-devel
# extra X deps (seemingly needed and/or checked-for by most kde4 buildscripts) 
%define x_deps libXcomposite-devel libXdamage-devel libxkbfile-devel libXpm-devel libXScrnSaver-devel libXtst-devel libXv-devel libXxf86misc-devel
%{?x_deps:BuildRequires: %{x_deps}}
BuildRequires: openssh-clients
BuildRequires: subversion

%if "%{?apidocs}" == "1"
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: qt4-doc
%endif

%description
Libraries for the K Desktop Environment 4.

%if "%{name}" == "kdelibs"
%package common
Group: System Environment/Libraries
Summary: Common files for KDE 3 and KDE 4 libraries
%description common
This package includes the common files for the KDE 3 and KDE 4 libraries.
%endif

%package devel
Group: Development/Libraries
Summary: Header files for compiling KDE 4 applications
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
%if "%{name}" != "kdelibs4"
Obsoletes: kdelibs4-devel < %{version}-%{release}
Provides:  kdelibs4-devel = %{version}-%{release}
%endif
Provides: phonon-devel = 4.0
Requires: qt4-devel
Requires: openssl-devel
Requires: bzip2-devel gamin-devel libacl-devel zlib-devel
Requires: strigi-devel >= 0.5.7
%{?x_deps:Requires: %{x_deps}}
%description devel
This package includes the header files you will need to compile
applications for KDE 4.

%package apidocs
Group: Development/Documentation
Summary: KDE 4 API documentation
# Not strictly required -- Rex
# Requires: %{name} = %{?epoch:%{epoch}:}%{version}
Requires: kde-filesystem
%if "%{name}" != "kdelibs4"
Provides: kdelibs4-apidocs = %{version}-%{release}
#else
# Don't do that for now, we'd need to make sure all Requires: kdelibs-apidocs
# (in kdevelop etc.) are fixed to kdelibs3-apidocs first and it may not be
# worth it anyway.
#Provides: kdelibs-apidocs = 6:%{version}-%{release}
%endif

%description apidocs
This package includes the KDE 4 API documentation in HTML
format for easy browsing.


%prep
%setup -q -n kdelibs-%{version}

%patch0 -p1 -b .parallel_devel
%patch2 -p1 -b .kde149705
%if 0%{?fedora} >= 9
%patch5 -p1 -b .k3spell-hunspell
%else
# shouldn't be needed f9+, we'll see -- Rex
%patch6 -p1 -b .openssl
%endif
%patch8 -p1 -b .all-css
%patch9 -p1 -b .branding
sed -i -e "s|@@VERSION_RELEASE@@|%{version}-%{release}|" kio/kio/kprotocolmanager.cpp
%patch10 -p1 -b .no-cache-kdeglobals-paths
%patch11 -p1 -b .policykit
%patch12 -p1 -b .Administration-menu
%patch13 -p1 -b .fedora-buildtype
%patch14 -p1 -b .libexecdir
%patch15 -p0 -b .proxy
%patch18 -p1 -b .kstandarddirs
%patch19 -p1 -b .kprotocolcombo
%patch20 -p1 -b .kio-subjob
%patch21 -p1 -b .strigi-metainfo
%patch22 -p1 -b .kio-ftp-overwrite
%patch23 -p0 -b .khtml-ecma-empty-array-crash

# upstream patches
%patch100 -p1 -b .khtml-stylesheet
%patch101 -p1 -b .iconload

%build
mkdir -p %{_target_platform}
pushd %{_target_platform} 
%{cmake_kde4} -DKDE_DISTRIBUTION_TEXT="%{version}-%{release} Fedora" ..
popd

%if 0%{?rest}
make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1
%endif

# build apidocs
%if 0%{?apidocs}
export QTDOCDIR=`pkg-config --variable=docdir Qt`
doc/api/doxygen.sh .
%endif


%install
rm -rf %{buildroot}

%if 0%{?rest}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# see also use-of/patching of XDG_MENU_PREFIX in kdebase
mv %{buildroot}%{_kde4_sysconfdir}/xdg/menus/applications.menu \
   %{buildroot}%{_kde4_sysconfdir}/xdg/menus/kde4-applications.menu

%if "%{name}" != "kdelibs"
# remove files which conflict with KDE 3
rm -f %{buildroot}%{_kde4_bindir}/checkXML %{buildroot}%{_kde4_bindir}/kjscmd \
      %{buildroot}%{_kde4_bindir}/kunittestmodrunner
rm -f %{buildroot}%{_kde4_configdir}/kdebug.areas %{buildroot}%{_kde4_configdir}/kdebugrc \
      %{buildroot}%{_kde4_configdir}/kdeprintrc %{buildroot}%{_kde4_configdir}/ui/ui_standards.rc
rm -f %{buildroot}%{_kde4_docdir}/HTML/en/common/*
rm -f %{buildroot}%{_kde4_sharedir}/locale/all_languages
%endif

# move devel symlinks
mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel
pushd %{buildroot}%{_kde4_libdir}
for i in lib*.so
do
  case "$i" in
    libkdeinit4_*.so)
      ;;
    # don't move Phonon, non-KDE apps want to use it
    libphonon.so)
      ;;
    *)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd

install -p -m 644 -D %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/kde4.sh
install -p -m 644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/kde4.csh

# install apidocs and generator script
install -p -D doc/api/doxygen.sh %{buildroot}%{_kde4_bindir}/kde4-doxygen.sh
%endif

%if 0%{?apidocs}
mkdir -p %{buildroot}%{_kde4_docdir}/HTML/en
cp -prf kdelibs-%{version}-apidocs %{buildroot}%{_kde4_docdir}/HTML/en/kdelibs4-apidocs
%endif


%post
/sbin/ldconfig ||:
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun 
/sbin/ldconfig ||:
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :


%clean
rm -rf %{buildroot}


%if 0%{?rest}
%files
%defattr(-,root,root,-)
%doc AUTHORS README TODO
%doc COPYING.LIB
%config(noreplace) %{_sysconfdir}/profile.d/*
%{_kde4_bindir}/*
%exclude %{_kde4_bindir}/kconfig_compiler4
%{_kde4_appsdir}/*
# kdewidgets
%exclude %{_kde4_bindir}/makekdewidgets4
%exclude %{_kde4_appsdir}/kdewidgets/
%exclude %{_kde4_libdir}/kde4/plugins/designer/kdewidgets.*
%exclude %{_kde4_appsdir}/cmake/
%{_kde4_configdir}/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_datadir}/mime/packages/*
%{_kde4_sharedir}/kde4/services/*
%{_kde4_sharedir}/kde4/servicetypes/*
%{_kde4_sharedir}/icons/hicolor/*/actions/presence_*
%{_kde4_docdir}/HTML/en/*
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/libkdeinit4_*.so
%dir %{_kde4_libdir}/kde4/
%{_kde4_libdir}/kde4/*.so
%{_kde4_libexecdir}/*
%dir %{_kde4_libdir}/kde4/plugins/
%{_kde4_libdir}/kde4/plugins/imageformats/
%{_kde4_libdir}/kde4/plugins/phonon_platform/
%{_kde4_sysconfdir}/xdg/menus/*.menu
%doc %{_mandir}/man*/*
%if 0%{?apidocs}
%exclude %{_kde4_docdir}/HTML/en/kdelibs4-apidocs/
%endif
# kdelibs-common comes from here for fedora >= 9
%if "%{name}" == "kdelibs"
%exclude %{_kde4_configdir}/kdebug.areas
%exclude %{_kde4_configdir}/kdebugrc
%exclude %{_kde4_configdir}/ui/ui_standards.rc
%exclude %{_kde4_docdir}/HTML/en/common

%files common
%defattr(-,root,root,-)
%{_kde4_configdir}/kdebug.areas
%{_kde4_configdir}/kdebugrc
%dir %{_kde4_configdir}/ui
%{_kde4_configdir}/ui/ui_standards.rc
%{_kde4_docdir}/HTML/en/common
%{_kde4_datadir}/locale/all_languages/
%endif

%files devel
%defattr(-,root,root,-)
%doc KDE4PORTING.html
%{_kde4_bindir}/kconfig_compiler4
%{_kde4_bindir}/makekdewidgets4
%{_kde4_bindir}/kde4-doxygen.sh
%{_kde4_appsdir}/cmake/
%{_kde4_appsdir}/kdewidgets/
%{_kde4_includedir}/*
%{_kde4_libdir}/libphonon.so
%{_kde4_libdir}/kde4/devel/
%{_kde4_libdir}/kde4/plugins/designer/
%endif

%if 0%{?apidocs}
%files apidocs
%defattr(-,root,root,-)
%{_kde4_docdir}/HTML/en/kdelibs4-apidocs/
%endif


%changelog
* Tue Jul  1 2008 Lukáš Tinkl <ltinkl@redhat.com> - 4.0.5-5
- fix crash on empty array access in ECMA (kdebug:164391)

* Fri Jun 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.0.5-4
- fix kstandarddirs patch so /usr/libexec/kde4 is found before /usr/bin (see
  also #453063, ensures the KDE 4 versions of kdesu, lnusertemp etc. are used)

* Sat Jun 14 2008 Rex Dieter <rdieter@fedoraproject.org> - 4.0.5-3
- -devel: Provides: phonon-devel = 4.0

* Tue Jun 10 2008 Lukáš Tinkl <ltinkl@redhat.com> - 4.0.5-2
- kopete crashes with sending files over AIM/ICQ (kdebug:162956)
- fix crashes when adding a new network folder (kdebug:162285)
- KFileMetaInfo freezes when Strigi indexes non-sequential files (kdebug:163050)
- renaming in FTP overwrites existing files without confirmation (kdebug:127793)

* Sat May 31 2008 Than Ngo <than@redhat.com> - 4.0.5-1
- 4.0.5
- backport patch from 4.1 branch to fix inherit issue in iconload, #448536

* Fri May 30 2008 Than Ngo <than@redhat.com> - 4.0.4-11
- fix #447965, order issue in kde path, thanks to Kevin
- backport patch from 4.1 branch to check html style version

* Tue May 27 2008 Lukáš Tinkl <ltinkl@redhat.com> - 4.0.4-10
- Fixes a crash when you are using two different protocols and move through the tree

* Tue May 27 2008 Lukáš Tinkl <ltinkl@redhat.com> - 4.0.4-9
- fix kdebug:161196: Drop-down list options display blank when a comment is added between option tags
- fix kdebug:156419: konqueror crash on http://pidgin.im/
- fix kdebug:48704 document.styleSheets.length does not return the correct number under all circumstances 

* Fri May 23 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.0.4-8
- keep libphonon.so in %%{_libdir} for non-KDE apps (#447831)

* Fri May 23 2008 Lukáš Tinkl <ltinkl@redhat.com> - 4.0.4-7
- fix #447840: Konquerorsu crash in KDE 4

* Thu May 22 2008 Rex Dieter <rdieter@fedoraproject.org> - 4.0.4-6
- kstandarddirs hack to search /etc/kde

* Wed May 21 2008 Lukáš Tinkl <ltinkl@redhat.com> - 4.0.4-5
- fix problems with deleting dirs on FTP server (kdebug:162189)

* Thu May 15 2008 Lukáš Tinkl <ltinkl@redhat.com> - 4.0.4-4
- fix compatibility with newer HALs to find the actual HW info

* Thu May 15 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.0.4-3
- fix proxy support (#443931, kde#155707)
- move %%{_kde4_appsdir}/ksgmltools2/ from -devel to the main package (#446435)

* Tue May 13 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.0.4-2
- drop no longer needed ALSA default device Phonon hack

* Tue May 06 2008 Rex Dieter <rdieter@fedoraproject.org> - 4.0.4-1
- kde-4.0.4

* Tue Apr 22 2008 Lukáš Tinkl <ltinkl@redhat.com> - 4.0.3-7
- fix buffer overflow in KHTML's image loader (KDE advisory 20080426-1, 
  #443766: CVE-2008-1670)

* Fri Apr 04 2008 Than Ngo <than@redhat.com> -  4.0.3-6
- apply upstream patch to fix klauncher crash
- fix kconfig_sync_crash patch

* Fri Apr  4 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.3-5
- kconfig_sync_crash patch

* Thu Apr  3 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.0.3-4
- rebuild for the new %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- patch and update file list for _kde4_libexecdir

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- add Fedora build type (uses -DNDEBUG)

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3
- -apidocs: drop Requires: %%name

* Fri Mar 28 2008 Than Ngo <than@redhat.com> -  4.0.2-13
- add Administration menu, bz#439378

* Thu Mar 27 2008 Than Ngo <than@redhat.com> 4.0.2-12
- bz#428212, adapted Kevin Kofler's workaround for Policykit

* Thu Mar 20 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.2-11
- apidocs subpackage should be noarch (#436579)

* Mon Mar 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-10
- work around #436725: BR: libtool-ltdl so graphviz gets a valid libltdl

* Mon Mar 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-9
- fix kdeglobals not being found in profile (e.g. kde-settings) directory

* Fri Mar 07 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.2-8
- touchup KDE_DISTRIBUTION_TEXT
- add Fedora/V-R to KHTML UA string (thanks caillon)

* Thu Mar 06 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-7
- exclude apidocs from the main package

* Thu Mar 06 2008 Than Ngo <than@redhat.com> 4.0.2-6
- apply upstream patch to fix issue in KPropertiesDialog

* Thu Mar 06 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-5
- also install Doxyfile.global in -common to build kdepimlibs-apidocs against

* Wed Mar 05 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-4
- install all .css files in kdelibs-common to build kdepimlibs-apidocs against
- install doxygen.sh as kde4-doxygen.sh in -devel
- build apidocs and put them into an -apidocs subpackage (can be turned off)
- BR doxygen, graphviz and qt4-doc when building apidocs

* Fri Feb 29 2008 Than Ngo <than@redhat.com> 4.0.2-3
- rebuilt

* Fri Feb 29 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-2
- drop obsolete kde#149703 patch (fixed upstream by code rewrite)
- drop backports from 4.0.2: objectembed-handling, autostart, kde#771201-khtml

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Wed Feb 27 2008 Lukáš Tinkl <ltinkl@redhat.com> - 4.0.1-8
- add Fedora branding to the package (#434815)

* Mon Feb 25 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-7
- -devel: own %%_kde4_libdir/kde4/plugins (thanks wolfy!)

* Tue Feb 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-6
- fix running KDE 3 apps as filetype viewers from KDE 4 Dolphin

* Mon Feb 18 2008 Rex Dieter <rdieter@fedoraprojectorg> 4.0.1-5
- -devel: include %%_kde4_appsdir/cmake here (#341751)

* Wed Feb 06 2008 Than Ngo <than@redhat.com> 4.0.1-4
- upstream patch to make sure that static widget is always at position 0,0

* Fri Feb 01 2008 Than Ngo <than@redhat.com> 4.0.1-3
- upstream patch to fix a regression in <object><embed> handling
- autostart upstream patch

* Fri Feb 01 2008 Than Ngo <than@redhat.com> 4.0.1-2
- autostart from XDG_CONFIG_DIRS

* Wed Jan 30 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- 4.0.1

* Wed Jan 30 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.0-4
- omit openssl patch (f9+ #429846)
- respin (qt4)

* Wed Jan 23 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.0-3
- openssl patch

* Sat Jan 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.0-2
- patch K3Spell for hunspell support on F9+ (FeatureDictionary, kde#154561)

* Mon Jan 07 2008 Than Ngo <than@redhat.com> 4.0.0-1
- 4.0.0

* Fri Jan 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-11
- force Phonon to use the ALSA default device by default

* Wed Jan 02 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-10
- apply patch by Alex Merry to support FLAC 1.1.3+ in FindFlac.cmake

* Sat Dec 22 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-9
- drop BR aspell-devel on F9+, use only enchant (FeatureDictionary)

* Tue Dec 18 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-8
- don't put binaries into kdelibs-common, they drag in kdelibs (#417251)

* Mon Dec 17 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-7
- split out kdelibs-common on F9+ (shared with KDE 3) (#417251)
- Requires: kdelibs-common (F9+) (#417251)

* Tue Dec 11 2007 Than Ngo <than@redhat.com> 3.97.0-6
- enable subversion again

* Tue Dec 11 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-5
- rebuild for changed _kde4_includedir

* Thu Dec 06 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-4
- drop Req: kdebase-runtime oxygen-icon-theme (at least for now)

* Thu Dec 06 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-2
- drop BR: subversion temporarily (due to rawhide breakage)

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-1
- kde-3.97.0

* Tue Dec 04 2007 Than Ngo <than@redhat.com> 3.96.2-4
- rebuilt against new openssl/openldap

* Sat Dec 01 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.96.2-3
- install profile scripts as 644 instead of 755 (Ville Skyttä, #407521)

* Sat Dec 01 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.96.2-2
- BR openssh-clients and subversion (Sebastian Vahl)
- make this the default kdelibs for F9 again

* Tue Nov 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.2-1
- kde-3.96.2

* Tue Nov 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.1-1
- kde-3.96.1

* Tue Nov 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-4
- Requires: kdebase-runtime oxygen-icon-theme (where available)

* Mon Nov 19 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-3
- Requires: dbus-x11 (#390851)

* Mon Nov 19 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-2
- -devel: (Build)Requires: libXcomposite-devel libXdamage-devel
   libxkbfile-devel libXpm-devel libXScrnSaver-devel libXtst-devel
   libXv-devel libXxf86misc-devel
- devel: Requires: strigi-devel >= 0.5.7
- (Build)Requires: kde-filesystem >= 4

* Thu Nov 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.0-1
- kde-3.96.0

* Sat Nov 10 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.2-2
- BR: strigi-devel >= 0.5.7, soprano-devel >= 1.97.1
- License: LGPLv2 (only)

* Fri Nov 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.2-1
- kde-3.95.2

* Tue Nov 06 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.0-2
- fix parallel_devel patch (typo in KDE4_KPARTS_LIBRARY)

* Sun Nov 04 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.95.0-1
- kde-3.95.0 (kde4 dev platform rc1)

* Thu Oct 18 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.94.0-2
- drop optional BR hspell-devel again due to broken x86_64 static library

* Thu Oct 18 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.94.0-1
- update to 3.94.0
- BR soprano-devel >= 1.95.0
- don't rename js to kjs after installation, fixed upstream
- update parallel-devel patch
- drop kde#149704 patch, fixed upstream
- drop colorscheme-hack patch
- backport upstream fix for unversioned kpty library (rev 724528)
- add new BRs hspell-devel and jasper-devel
- 3.94.0 generates some manpages, add them to the file list

* Thu Oct 4 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-11
- don't make this the default kdelibs on F9 yet
- retry ppc64 build (#300571)

* Fri Sep 21 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-10
- ExcludeArch: ppc64 (#300571)

* Thu Sep 20 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.93.0-9
- -devel: (re)add Requires: bzip2-devel gamin-devel libacl-devel strigi-devel zlib-devel
- update sources
- sync kde4.(sh|csh) changes wrt KDE_IS_PRELINKED w/ devel/ branch

* Fri Sep 14 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-8
- rename js to kjs because of file conflict (kde#149840)

* Thu Sep 13 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-7
- actually install kde4.sh and kde4.csh
- sync KDE_IS_PRELINKED setting in kde4.sh and kde4.csh with kdelibs 3
  (workaround for #244065 no longer needed, fixed in 3.93.0)

* Thu Sep 13 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-6
- set QT_PLUGIN_PATH in kde4.sh and kde4.csh

* Wed Sep 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-5
- fix strange coloring due to incomplete changes to KColorScheme

* Mon Sep 10 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-4
- use upstream fix (by David Faure) for kde#149704

* Mon Sep 10 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-3
- fix kde#149703, kde#149704, kde#149705

* Sun Sep 9 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-2
- remove files which conflict with KDE 3
- rename kconfig_compiler and makekdewidgets to *4
- move devel symlinks to %%{_kde4_libdir}/kde4/devel/
- drop Conflicts: kdelibs-devel

* Sun Sep 9 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.93.0-1
- update to 3.93.0
- drop kde4home patch (no longer applied)
- drop kdeprint soversion conflict patch (fixed upstream)
- remove icon-related code, pics/ is now in kdebase-runtime
- BR strigi-devel >= 0.5.5 due to API changes
- package hicolor presence_* icons which are not in hicolor-icon-theme
- don't list non-existing ksvgtopng in devel binaries (now in kdebase-runtime)

* Tue Aug 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.92.0-4
- -devel: omit most (hopefully) extraneous Requires:
- use macros.kde4
- -devel: Conflicts: kdelibs-devel (in %%_bindir,%%_libdir)
- License clarification

* Fri Aug 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.92.0-3
- name kdelibs4, don't mess with %%_prefix (for now)
- move to -devel: checkXML, kconfig_compiler, (make)kdewidgets, ksgmltools2,
  ksvgtopng, kunittestmodrunner
- set KDE_IS_PRELINKED unconditionally (#244065)
- License: LGPLv2
- Requires: shared-mime-info

* Mon Jul 30 2007 Than Ngo <than@redhat.com> 3.92.0-2
- fix conlict with kde3
- add -DSYSCONF_INSTALL_DIR

* Sat Jul 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.92.0-1
- kde-3.92.0 (kde4-beta1)

* Thu Jul 19 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.91.0-6
- add missing epoch to main package Requires for -devel if name is kdelibs

* Tue Jul 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.91.0-5
- BR: soprano-devel
- prefix=/usr cleanups

* Wed Jul 11 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.91.0-4
- apply upstream bugfix for KatePart syntax highlighting (kde #145571)

* Thu Jun 29 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.91.0-3
- fix %%_sysconfdir for %%_prefix != /usr case.

* Thu Jun 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.91.0-2
- updated kde4home.diff
- CMAKE_BUILD_TYPE=RelWithDebInfo (we're already using %%optflags)

* Wed Jun 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.91.0-1
- kde-3.91.0
- CMAKE_BUILD_TYPE=debug 

* Sat Jun 23 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.90.1-3
- specfile cleanup (%%prefix issues mostly)

* Wed May 30 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.90.1-2
- add missing BR shared-mime-info

* Sun May 13 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.90.1-1
- update to 3.90.1
- drop backported upstream fixes already in 3.90.1
- bump cmake BR to 2.4.5 as required upstream now
- add BR strigi-devel, alsa-lib-devel, avahi-devel
- don't set execute bits by hand anymore, cmake has been fixed
- use multilibs in /opt/kde4

* Mon Mar 26 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.3-5
- apply upstream fixes to build with Qt 4.3 Beta

* Sat Mar 24 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.3-4
- restore minimum version requirements for cmake and qt4-devel
- drop visibility hack (no longer needed with latest qt4 package)
- don't set QT4DIR and PATH anymore, qdbuscpp2xml has been fixed
- apply upstream bugfixes:
- * khtml segfault fix
- * message box cancel button fix
- * kprocio received buffer truncation fix (backported)
- * KatePart keyboard shortcut (Ctrl+Right, Shift+Right) fix

* Mon Mar 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.80.3-3
- +eXecute perms for %%{_prefix}/lib/*

* Fri Feb 23 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.3-2
- apply upstream patch to fix klauncher crash
- hack around Qt 4 being built with no visibility support
- install Qt Designer plugin

* Wed Feb 21 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.3-1
- update to 3.80.3
- update and improve parallel-installability patch
- set QT4DIR and PATH so CMake's direct $QT4DIR/qdbuscpp2xml calls work
- move libkdeinit_*.so from -devel to main package
- symlink kde4-config into /usr/bin so it can be used for path setting

* Wed Nov 29 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.80.2-0.4.20061003svn
- dropped -DCMAKE_SKIP_RPATH=TRUE from cmake
- compiling with QA_RPATHS=0x0003; export QA_RPATHS

* Sun Nov 26 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.80.2-0.3.20061003svn
- Added foolishly dropped libjpeg-devel, zlib-devel, krb5-devel, libattr-devel again as BR

* Thu Nov 23 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.80.2-0.2.20061003svn
- parallel build support
- added -DCMAKE_SKIP_RPATH=TRUE to cmake to skip rpath
- dropped libjpeg-devel, zlib-devel, krb5-devel, libattr-devel as BR
- dropped duplicate libattr-devel in BR
- spec file cleanups and added clean up in %%install
- fixed missing dependency : libkdeinit_knotify.so

* Sat Oct 07 2006 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.80.2-0.1.20061003svn
- first Fedora RPM (parts borrowed from the OpenSUSE kdelibs 4 RPM and the Fedora kdelibs 3 RPM)
- apply parallel-installability patch
